"""Demonstrate with statement using a single file."""


def main():
    data_directory = 'data'
    input_filename = 'words.txt'
    infile_path_and_name = f'{data_directory}/{input_filename}'
    with open(infile_path_and_name, 'r', encoding='utf-8') as infile:
        for line in infile:
            print(line.strip())

    # Note that there is no close statement for the file.
    # The with statement causes the file to be closed when the with code block has finished.


main()

